Jump to content

can't connect Caves but connect master successful while using external IP


Recommended Posts

i have two computer and a Router,the DST is on the computer IP 192.168.1.125,I play the game use IP 192.168.1.100

the two computer connect the campus network. my ip in campus network is 116.56.11.93, but the Internet IP is 110.221.141.19

when i using LAN IP(192.168.1.125) to connect the server I can enter the caves successful.but when I use the campus network IP(116.56.11.93) I can enter the Master world but when I jump into caves, he tell me "the server is not responding".

I find that when I use LAN IP to conncet the server ,The game will send the pack to 192.168.1.125:10999(Master) and then send to 192.168.1.125:10998(Caves),but when I use campus network IP(116.56.11.93) to conncet,the game will send pack to 116.56.11.93:10999 but send the  next pack to 110.221.141.19:10998. It should be sent to 116.56.11.93:10998, I don't know why it use the Internet IP to conncet Caves server instead of the IP I enter(116.56.11.93). I want to know is there any method to appoint the Caves server IP.

 

  •  

 

Link to comment
Share on other sites

Not sure if this helps your situation, but you can assign your server a IP Adress by launching the server using the -bind_ip parameter as described here.

If you use the default launch script from the dedicated_server_quick setup guide it could be edited like this:

Spoiler
#!/bin/bash

steamcmd_dir="$HOME/steamcmd"
install_dir="$HOME/dontstarvetogether_dedicated_server"
cluster_name="MyDediServer"
dontstarve_dir="$HOME/.klei/DoNotStarveTogether"

function fail()
{
	echo Error: "$@" >&2
	exit 1
}

function check_for_file()
{
	if [ ! -e "$1" ]; then
		fail "Missing file: $1"
	fi
}

cd "$steamcmd_dir" || fail "Missing $steamcmd_dir directory!"

check_for_file "steamcmd.sh"
check_for_file "$dontstarve_dir/$cluster_name/cluster.ini"
check_for_file "$dontstarve_dir/$cluster_name/cluster_token.txt"
check_for_file "$dontstarve_dir/$cluster_name/Master/server.ini"
check_for_file "$dontstarve_dir/$cluster_name/Caves/server.ini"

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

check_for_file "$install_dir/bin64"

cd "$install_dir/bin64" || fail

run_shared=(./dontstarve_dedicated_server_nullrenderer_x64)
run_shared+=(-console)
run_shared+=(-cluster "$cluster_name")
run_shared+=(-monitor_parent_process $$)
run_shared+=(-bind_ip 192.168.1.125)

"${run_shared[@]}" -shard Caves  | sed 's/^/Caves:  /' &
"${run_shared[@]}" -shard Master | sed 's/^/Master: /'

(I added the 4th line from the bottom to add the -bind_ip parameter with your specified IP Adress)

Link to comment
Share on other sites

I try it but did't work,I think the parameter "-bind_ip" can only change the Caves server listening which IP connect,but I think the problem was on the Master server or Caves server,He tell a fault IP to client to conncet Caves server.Because the client can't connect the Caves use the IP that the Master server give.May we should find out how the Master server get the Caves server IP, or if we can appoint the Caves IP on Master

Link to comment
Share on other sites

This is very easy to understand. The master will publish the address to the external network through route conversion, and the caves are transmitted back through the internal network at this time, and the gateway for the transmission is limited to the route 192.168.1.X. If you don’t use the campus network, you can pass the 192.168.1.X gateway to return successfully, but if you use the campus network, it is equivalent to going through the campus network route, and the campus network is actually an intranet. If the gateway of the campus network does not limit the port, you can try to set your router to forward the caves port. If it fails, you still need to set the accurate forwarding port through the router of the campus network. This is something you cannot do.

Sorry, I don't speak English, from Google Translate, I hope you can understand.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

Please be aware that the content of this thread may be outdated and no longer applicable.

×
  • Create New...